package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型应用对象 md_app
 * 
 * @author 朱得糠
 * @date 2025-08-19
 */
public class MdApp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 应用标识 */
    private Long appId;

    /** 模型应用名称 */
    @Excel(name = "模型应用名称")
    private String appTitle;

    /** 模型应用介绍 */
    @Excel(name = "模型应用介绍")
    private String appNote;

    /** 模型应用图标 */
    @Excel(name = "模型应用图标")
    private String appIcon;

    /** 模型应用排序 */
    @Excel(name = "模型应用排序")
    private Long appOrd;

    public void setAppId(Long appId) 
    {
        this.appId = appId;
    }

    public Long getAppId() 
    {
        return appId;
    }
    public void setAppTitle(String appTitle) 
    {
        this.appTitle = appTitle;
    }

    public String getAppTitle() 
    {
        return appTitle;
    }
    public void setAppNote(String appNote) 
    {
        this.appNote = appNote;
    }

    public String getAppNote() 
    {
        return appNote;
    }
    public void setAppIcon(String appIcon) 
    {
        this.appIcon = appIcon;
    }

    public String getAppIcon() 
    {
        return appIcon;
    }
    public void setAppOrd(Long appOrd) 
    {
        this.appOrd = appOrd;
    }

    public Long getAppOrd() 
    {
        return appOrd;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("appId", getAppId())
            .append("appTitle", getAppTitle())
            .append("appNote", getAppNote())
            .append("appIcon", getAppIcon())
            .append("appOrd", getAppOrd())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
